/*
 * Java
 * 
 * Copyright 2015-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */

package com.microej.fs.tests.scenarios;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

public class FsReadThread extends Thread {
	File file;
	int dataLength;
	int ite;

	public FsReadThread(File file, int dataLength, int ite) {
		this.file = file;
		this.ite = ite;
		this.dataLength = dataLength;
	}

	@Override
	public void run() {
		try {
			FileInputStream fis = new FileInputStream(file);
			byte[] data = new byte[this.dataLength];
			for (int i = 0; i < this.ite; i++) {
				fis.read(data);
				String dataS = new String(data);
			}
			fis.close();

		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
