/*
 * Java
 * 
 * Copyright 2015-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */

package com.microej.fs.tests.scenarios;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

public class FsReadThread2 extends Thread {
	File file;
	byte[] data;
	int ite;
	boolean res = false;

	public FsReadThread2(File file, byte[] data, int ite) {
		this.file = file;
		this.data = data;
		this.ite = ite;
	}

	@Override
	public void run(){
		try {

			String readData = new String();
				for (int i = 0; i < this.ite; i++) {
					FileInputStream fis = new FileInputStream(file);
					fis.read(this.data);
					readData = readData + new String(this.data);
					fis.close();
				}	
			if (readData.startsWith("BonjouBonjouBonjouBonjouBonjouBonjouBonjouBonjou")) {
				this.res = true;
			}

		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public boolean getReturn() {
		return this.res;
	}

}
