/*
 * Java
 * 
 * Copyright 2015-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */

package com.microej.fs.tests.scenarios;

import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;

public class FsWriteThread extends Thread {
	FileOutputStream fos;
	String data;
	int ite;

	public FsWriteThread(FileOutputStream fos, String data, int ite) {
		this.fos = fos;
		this.data = data;
		this.ite = ite;
	}

	@Override
	public void run(){
		try {
			for (int i = 0; i < this.ite; i++) {
				this.fos.write(this.data.getBytes());
			}

		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
