/*
 * Java
 * 
 * Copyright 2015-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */

package com.microej.fs.tests.scenarios;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;

public class FsWriteThread3 extends Thread {
	File file;
	String data;
	int ite;

	public FsWriteThread3(File file, String data, int ite) {
		this.file = file;
		this.data = data;
		this.ite = ite;
	}

	@Override
	public void run(){
		try {
			for (int i = 0; i < this.ite; i++) {
				FileOutputStream fos = new FileOutputStream(file, true);
				fos.write(this.data.getBytes());
				try {
					Thread.sleep(10);
				} catch (InterruptedException e) {
					e.printStackTrace();
				}
				fos.close();
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
